Package org.apache.sysds.runtime.ooc.cache.eviction

# Class EvictController

java.lang.Object
org.apache.sysds.runtime.ooc.cache.eviction.EvictController

public class EvictController extends Object

## Constructor Summary

Constructors
Constructor
Description
`EvictController()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEvictionPolicy(LongUnaryOperator op)`
`void`
`findEvictionCandidates(MaskedOnceArrayList<BlockEntry> list, PriorityQueue<IndexedObjectPair<BlockEntry>> candidates, int k, long estimatedReuseTimestamp)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EvictController

public EvictController()

## Method Details

### addEvictionPolicy

public void addEvictionPolicy(LongUnaryOperator op)

### findEvictionCandidates

public void findEvictionCandidates(MaskedOnceArrayList<BlockEntry> list, PriorityQueue<IndexedObjectPair<BlockEntry>> candidates, int k, long estimatedReuseTimestamp)